Subject: Re: bug#12447: 24.1.50; Stuck in garbage collection on OS X

From: Eli Zaretskii <[email-masked]>
Date: Sat, 15 Sep 2012 17:37:00 +0300

> Date: Sat, 15 Sep 2012 16:23:53 +0200 (CEST)
> Cc: [email-masked], [email-masked]
> From: Harald Hanche-Olsen <[email-masked]>
> 
> For example: Is it okay to set a timer in a timer callback?

I don't see why not.  Setting up a timer just creates a Lisp object
and adds it to the list of timers.  The timer will be run the next
time the low-level mechanism, which is part of the Emacs exec loop,
determines that it's ripe.

> Thanks for your patience with my many misunderstandings. I want to
> track this problem down, but I am still fumbling in the dark.

You are welcome.